print(package.path)

package.path = "../?.lua;" .. package.path

_G.defense_mob_api = {library = {}}

require("make_sound")



describe("make_sound", function()
		local sounds_played = 0
		local sound_played
		_G.minetest =
		{
			sound_play = function(...)
				sounds_played = sounds_played + 1
				sound_played = ...
			end
		}
		local entity =
		{
			media_prefix = "testmob_"
		}
		defense_mob_api.library.make_sound(entity, "testsound")
		
		assert.equals(1, sounds_played)
		assert.equals("testmob_testsound", sound_played)
	end)
